PUBLIC API · v1
DOCUMENTATION

API reference

Operations, parameters, request bodies and responses from OpenAPI.

API https://api.reduxhub.ru/public/v1

DL https://dl.reduxhub.ru

Reference only · no requests

OpenAPI schema#

The reference is generated from OpenAPI. Download the schema to generate a client or check types. A method listed in the schema is not by itself confirmation of availability on your chosen server.

↓ OpenAPI JSON

Available operations#

Operations are grouped by the current schema tags.

GroupOperationPurpose
ServiceGET /service Info
ServiceGET /healthservice Health
ServiceGET /openapi.jsonDownload raw OpenAPI JSON (not enveloped)
CatalogGET /categorieslist Categories
CatalogGET /modslist Mods
Author operationsPOST /modssubmit Mod Reference
CatalogGET /mods/{id}get Mod
Author operationsPATCH /mods/{id}update Own Mod Metadata
CatalogGET /mods/{id}/similarget Similar Mods
PublishersGET /publisherslist Publishers
PublishersGET /publishers/{id}get Publisher
PublishersGET /publishers/{id}/modslist Publisher Mods
PacksGET /packslist Packs
PacksGET /packs/{id}get Pack
ArticlesGET /articleslist Articles
ArticlesGET /articles/{slug}get Article
AccountGET /me/usageget Own Usage
DelegationPOST /oauth/tokenexchange Authorization Code
Author operationsPOST /uploads/externalsubmit Mod Reference
Author operationsGET /mods/{id}/upload-statusget Own Upload Status
DownloadsPOST /mods/{id}/download-ticketscreate Download Ticket
Author operationsPOST /upload-sessionscreate Zip Upload Session
Author operationsGET /upload-sessions/{id}get Zip Upload Session
Author operationsPATCH /upload-sessions/{id}append Zip Upload Chunk
Author operationsPOST /upload-sessions/{id}/commitcommit Zip Upload

Service#

GET /#

service Info

operationId: serviceInfo

Authorization & scopes
Canonical OpenAPI JSON
[]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": []
}
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object"
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

GET /health#

service Health

operationId: serviceHealth

Authorization & scopes
Canonical OpenAPI JSON
[]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": []
}
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object"
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

GET /openapi.json#

Download raw OpenAPI JSON (not enveloped)

operationId: downloadOpenApi

Authorization & scopes
Canonical OpenAPI JSON
[]
Contract requirements & extensions
Canonical OpenAPI JSON
{}
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "OpenAPI 3.1 document",
    "content": {
      "application/json": {
        "schema": {
          "type": "object"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

Catalog#

GET /categories#

list Categories

operationId: listCategories

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "catalog:read"
  ]
}
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "items": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "category": {
                        "type": "string"
                      },
                      "type": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "count": {
                        "type": "integer"
                      }
                    }
                  }
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

GET /mods#

list Mods

operationId: listMods

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "catalog:read"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "limit",
    "in": "query",
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 100,
      "default": 20
    }
  },
  {
    "name": "cursor",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 256
    }
  },
  {
    "name": "lang",
    "in": "query",
    "schema": {
      "type": "string",
      "enum": [
        "ru",
        "en"
      ]
    }
  },
  {
    "name": "q",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 120
    }
  },
  {
    "name": "category",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 120
    }
  },
  {
    "name": "type",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 120
    }
  },
  {
    "name": "version",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 120
    }
  },
  {
    "name": "project",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 120
    }
  },
  {
    "name": "access_type",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 120
    }
  },
  {
    "name": "publisher_id",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 120
    }
  }
]
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "required": [
                "items",
                "pagination"
              ],
              "properties": {
                "items": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Mod"
                  }
                },
                "pagination": {
                  "$ref": "#/components/schemas/Pagination"
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

GET /mods/{id}#

get Mod

operationId: getMod

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "catalog:read"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 2147483647
    }
  }
]
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "id",
                "name",
                "category",
                "accessType",
                "url"
              ],
              "properties": {
                "id": {
                  "type": "integer"
                },
                "name": {
                  "type": "string"
                },
                "description": {
                  "type": "string"
                },
                "category": {
                  "type": "string"
                },
                "type": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "version": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "project": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "accessType": {
                  "type": "string",
                  "enum": [
                    "free",
                    "subscription",
                    "purchase"
                  ]
                },
                "price": {
                  "type": "object",
                  "properties": {
                    "amountMinor": {
                      "type": "integer"
                    },
                    "currency": {
                      "const": "RUB"
                    }
                  }
                },
                "publisherId": {
                  "type": [
                    "integer",
                    "null"
                  ]
                },
                "previewUrl": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "uri"
                },
                "downloads": {
                  "type": "integer"
                },
                "verified": {
                  "type": "boolean"
                },
                "createdAt": {
                  "type": "string",
                  "format": "date-time"
                },
                "updatedAt": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date-time"
                },
                "url": {
                  "type": "string",
                  "format": "uri"
                },
                "files": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/FileMetadata"
                  }
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

GET /mods/{id}/similar#

get Similar Mods

operationId: getSimilarMods

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "catalog:read"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 2147483647
    }
  }
]
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "items": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Mod"
                  }
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

Author operations#

POST /mods#

submit Mod Reference

Registers a Google Drive reference for moderation, not binary bytes. Requires explicit delegated consent, current author permission and existing author eligibility. Paid plans do not grant author rights.

operationId: submitModReference

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "mods:create",
    "files:upload"
  ]
}
Request body
Canonical OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "name",
          "category",
          "googleDriveFileId"
        ],
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 160
          },
          "category": {
            "type": "string",
            "minLength": 1,
            "maxLength": 64
          },
          "description": {
            "type": "string",
            "maxLength": 10000
          },
          "type": {
            "type": "string",
            "maxLength": 64
          },
          "version": {
            "type": "string",
            "enum": [
              "legacy",
              "enhanced"
            ]
          },
          "project": {
            "type": "string",
            "maxLength": 64
          },
          "googleDriveFileId": {
            "type": "string",
            "pattern": "^[a-zA-Z0-9_-]{10,128}$"
          }
        }
      }
    }
  }
}
Responses & headers
Canonical OpenAPI JSON
{
  "201": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer"
                },
                "status": {
                  "const": "pending"
                },
                "ingress": {
                  "const": "google-drive-reference"
                },
                "binaryUploaded": {
                  "const": false
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

PATCH /mods/{id}#

update Own Mod Metadata

Owner-only permitted metadata updates. Current roles and moderation rules apply. No content deletion, pricing, gate, ownership, publisher assignment or administrator controls.

operationId: updateOwnModMetadata

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "mods:update"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 2147483647
    }
  }
]
Request body
Canonical OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "minProperties": 1,
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 160
          },
          "category": {
            "type": "string",
            "minLength": 1,
            "maxLength": 64
          },
          "description": {
            "type": "string",
            "maxLength": 10000
          },
          "type": {
            "type": "string",
            "maxLength": 64
          },
          "version": {
            "type": "string",
            "enum": [
              "legacy",
              "enhanced"
            ]
          },
          "project": {
            "type": "string",
            "maxLength": 64
          }
        }
      }
    }
  }
}
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer"
                },
                "status": {
                  "type": "string"
                },
                "version": {
                  "type": "integer"
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

POST /uploads/external#

submit Mod Reference

Registers a Google Drive reference for moderation, not binary bytes. Requires explicit delegated consent, current author permission and existing author eligibility. Paid plans do not grant author rights.

operationId: submitExternalUploadReference

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "mods:create",
    "files:upload"
  ]
}
Request body
Canonical OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "name",
          "category",
          "googleDriveFileId"
        ],
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 160
          },
          "category": {
            "type": "string",
            "minLength": 1,
            "maxLength": 64
          },
          "description": {
            "type": "string",
            "maxLength": 10000
          },
          "type": {
            "type": "string",
            "maxLength": 64
          },
          "version": {
            "type": "string",
            "enum": [
              "legacy",
              "enhanced"
            ]
          },
          "project": {
            "type": "string",
            "maxLength": 64
          },
          "googleDriveFileId": {
            "type": "string",
            "pattern": "^[a-zA-Z0-9_-]{10,128}$"
          }
        }
      }
    }
  }
}
Responses & headers
Canonical OpenAPI JSON
{
  "201": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer"
                },
                "status": {
                  "const": "pending"
                },
                "ingress": {
                  "const": "google-drive-reference"
                },
                "binaryUploaded": {
                  "const": false
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

GET /mods/{id}/upload-status#

get Own Upload Status

Only the delegated owner with current upload permission may read this status.

operationId: getOwnUploadStatus

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "files:upload"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 2147483647
    }
  }
]
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer"
                },
                "status": {
                  "type": "string"
                },
                "moderationStatus": {
                  "type": "string"
                },
                "ingress": {
                  "type": "string"
                },
                "binaryUploaded": {
                  "type": "boolean"
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

POST /upload-sessions#

create Zip Upload Session

Creates an owner-bound ZIP-only upload session. Requires explicit delegated consent, current mods.upload permission and existing author eligibility; money never grants upload rights. Maximum 256 MiB per ZIP and 1 MiB per chunk; additional global/user/storage budgets apply. Final content is free and pending moderation, never automatically published. SHA-256 and length are mandatory.

operationId: createZipUploadSession

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "mods:create",
    "files:upload"
  ]
}
Request body
Canonical OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "name",
          "category",
          "filename",
          "bytes",
          "sha256"
        ],
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 160
          },
          "category": {
            "type": "string",
            "minLength": 1,
            "maxLength": 64
          },
          "description": {
            "type": "string",
            "maxLength": 10000
          },
          "type": {
            "type": "string",
            "maxLength": 64
          },
          "version": {
            "type": "string",
            "enum": [
              "legacy",
              "enhanced"
            ]
          },
          "project": {
            "type": "string",
            "maxLength": 64
          },
          "filename": {
            "type": "string",
            "pattern": "^[a-zA-Z0-9][a-zA-Z0-9_-]{0,90}\\.zip$"
          },
          "bytes": {
            "type": "integer",
            "minimum": 22,
            "maximum": 268435456
          },
          "sha256": {
            "type": "string",
            "pattern": "^[a-f0-9]{64}$"
          }
        }
      }
    }
  }
}
Responses & headers
Canonical OpenAPI JSON
{
  "201": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "format": "uuid"
                },
                "state": {
                  "type": "string",
                  "enum": [
                    "uploading",
                    "staged",
                    "committed",
                    "unknown"
                  ]
                },
                "offset": {
                  "type": "integer",
                  "minimum": 0
                },
                "bytes": {
                  "type": "integer"
                },
                "modId": {
                  "type": "integer"
                },
                "status": {
                  "type": "string"
                },
                "sessionToken": {
                  "type": "string",
                  "readOnly": true,
                  "description": "Secret shown once on session creation. Keep in memory; never log or persist."
                },
                "expiresIn": {
                  "type": "integer"
                },
                "maxChunkBytes": {
                  "const": 1048576
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

GET /upload-sessions/{id}#

get Zip Upload Session

operationId: getZipUploadSession

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "mods:create",
    "files:upload"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "string",
      "format": "uuid"
    }
  },
  {
    "name": "X-Upload-Session",
    "in": "header",
    "required": true,
    "schema": {
      "type": "string",
      "pattern": "^rh_upload_[A-Za-z0-9_-]{43}$"
    },
    "description": "Secret shown once on session creation. Keep in memory; never log or persist in browser storage."
  }
]
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "format": "uuid"
                },
                "state": {
                  "type": "string",
                  "enum": [
                    "uploading",
                    "staged",
                    "committed",
                    "unknown"
                  ]
                },
                "offset": {
                  "type": "integer",
                  "minimum": 0
                },
                "bytes": {
                  "type": "integer"
                },
                "modId": {
                  "type": "integer"
                },
                "status": {
                  "type": "string"
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

PATCH /upload-sessions/{id}#

append Zip Upload Chunk

Append exact binary bytes at the current offset with an explicit Content-Length. No compression, chunked transfer, TUS headers or legacy upload tokens. Do not blindly retry an uncertain request: GET session status and inspect the authoritative offset first. Every call rechecks current delegation and author permission.

operationId: appendZipUploadChunk

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "mods:create",
    "files:upload"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "string",
      "format": "uuid"
    }
  },
  {
    "name": "X-Upload-Session",
    "in": "header",
    "required": true,
    "schema": {
      "type": "string",
      "pattern": "^rh_upload_[A-Za-z0-9_-]{43}$"
    },
    "description": "Secret shown once on session creation. Keep in memory; never log or persist in browser storage."
  },
  {
    "name": "Upload-Offset",
    "in": "header",
    "required": true,
    "schema": {
      "type": "integer",
      "minimum": 0
    }
  },
  {
    "name": "Content-Length",
    "in": "header",
    "required": true,
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 1048576
    }
  }
]
Request body
Canonical OpenAPI JSON
{
  "required": true,
  "content": {
    "application/octet-stream": {
      "schema": {
        "type": "string",
        "format": "binary",
        "minLength": 1,
        "maxLength": 1048576
      }
    }
  }
}
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "format": "uuid"
                },
                "state": {
                  "type": "string",
                  "enum": [
                    "uploading",
                    "staged",
                    "committed",
                    "unknown"
                  ]
                },
                "offset": {
                  "type": "integer",
                  "minimum": 0
                },
                "bytes": {
                  "type": "integer"
                },
                "modId": {
                  "type": "integer"
                },
                "status": {
                  "type": "string"
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

POST /upload-sessions/{id}/commit#

commit Zip Upload

Commit only a fully received and audited ZIP after repeated SHA-256, declared length, file containment, archive, current permission and storage checks. No caller-controlled commit options. Ambiguous commits remain reserved/unknown and are never retried automatically. No public content deletion.

operationId: commitZipUpload

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "mods:create",
    "files:upload"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "string",
      "format": "uuid"
    }
  },
  {
    "name": "X-Upload-Session",
    "in": "header",
    "required": true,
    "schema": {
      "type": "string",
      "pattern": "^rh_upload_[A-Za-z0-9_-]{43}$"
    },
    "description": "Secret shown once on session creation. Keep in memory; never log or persist in browser storage."
  }
]
Request body
Canonical OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "additionalProperties": false
      }
    }
  }
}
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "format": "uuid"
                },
                "state": {
                  "const": "committed"
                },
                "offset": {
                  "type": "integer",
                  "minimum": 0
                },
                "bytes": {
                  "type": "integer"
                },
                "modId": {
                  "type": "integer"
                },
                "status": {
                  "const": "pending"
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

Publishers#

GET /publishers#

list Publishers

operationId: listPublishers

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "publishers:read"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "limit",
    "in": "query",
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 100,
      "default": 20
    }
  },
  {
    "name": "cursor",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 256
    }
  },
  {
    "name": "lang",
    "in": "query",
    "schema": {
      "type": "string",
      "enum": [
        "ru",
        "en"
      ]
    }
  }
]
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "required": [
                "items",
                "pagination"
              ],
              "properties": {
                "items": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Publisher"
                  }
                },
                "pagination": {
                  "$ref": "#/components/schemas/Pagination"
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

GET /publishers/{id}#

get Publisher

operationId: getPublisher

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "publishers:read"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 2147483647
    }
  }
]
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "$ref": "#/components/schemas/Publisher"
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

GET /publishers/{id}/mods#

list Publisher Mods

operationId: listPublisherMods

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "publishers:read",
    "catalog:read"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 2147483647
    }
  },
  {
    "name": "limit",
    "in": "query",
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 100,
      "default": 20
    }
  },
  {
    "name": "cursor",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 256
    }
  },
  {
    "name": "lang",
    "in": "query",
    "schema": {
      "type": "string",
      "enum": [
        "ru",
        "en"
      ]
    }
  }
]
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "required": [
                "items",
                "pagination"
              ],
              "properties": {
                "items": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Mod"
                  }
                },
                "pagination": {
                  "$ref": "#/components/schemas/Pagination"
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "503": {
    "description": "Dependency temporarily unavailable",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}

Referenced definitions are listed under Schema components.

Packs#

GET /packs#

list Packs

operationId: listPacks

Authorization & scopes
Canonical OpenAPI JSON
[
  {
    "publicBearer": []
  }
]
Contract requirements & extensions
Canonical OpenAPI JSON
{
  "x-required-scopes": [
    "packs:read"
  ]
}
Request parameters
Canonical OpenAPI JSON
[
  {
    "name": "limit",
    "in": "query",
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 100,
      "default": 20
    }
  },
  {
    "name": "cursor",
    "in": "query",
    "schema": {
      "type": "string",
      "maxLength": 256
    }
  },
  {
    "name": "lang",
    "in": "query",
    "schema": {
      "type": "string",
      "enum": [
        "ru",
        "en"
      ]
    }
  }
]
Responses & headers
Canonical OpenAPI JSON
{
  "200": {
    "description": "Success envelope",
    "headers": {
      "X-Request-Id": {
        "schema": {
          "type": "string"
        }
      },
      "RateLimit-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "RateLimit-Reset": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Limit": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Remaining": {
        "schema": {
          "type": "integer"
        }
      },
      "X-Quota-Reset": {
        "schema": {
          "type": "integer"
        }
      }
    },
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "success",
            "data",
            "meta"
          ],
          "properties": {
            "success": {
              "const": true
            },
            "data": {
              "type": "object",
              "required": [
                "items",
                "pagination"
              ],
              "properties": {
                "items": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Pack"
                  }
                },
                "pagination": {
                  "$ref": "#/components/schemas/Pagination"
                }
              }
            },
            "meta": {
              "type": "object",
              "required": [
                "requestId"
              ],
              "properties": {
                "requestId": {
                  "type": "string",
                  "format": "uuid"
                },
                "apiVersion": {
                  "const": "v1"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "Invalid input",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "401": {
    "description": "Missing/invalid credential",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "403": {
    "description": "Insufficient scope, permission or content entitlement",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "404": {
    "description": "Not found or invisible",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "409": {
    "description": "Idempotency conflict",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "410": {
    "description": "Upload session or download ticket expired",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "413": {
    "description": "Request body or upload chunk exceeds the limit",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "415": {
    "description": "Unsupported content type or encoding",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "422": {
    "description": "Domain validation rejected the submitted content",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
  "429": {
    "description": "Rate or account quota exhausted",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  },
[...]
